Method: projects.locations.instances.stop

Stops an Instance.

HTTP request

POST https://run.googleapis.com/v2/{name}:stop

Path parameters

Parameters
name

string

Required. The name of the Instance to stop. It takes the form projects/{project}/locations/{location}/instances/{instance}.

Authorization requires the following IAM permission on the specified resource name:

  • run.instances.stop

Request body

The request body contains data with the following structure:

JSON representation
{
  "validateOnly": boolean,
  "etag": string
}
Fields
validateOnly

boolean

Optional. Indicates that the request should be validated without actually stopping any resources.

etag

string

Optional. A system-generated fingerprint for this version of the resource. This may be used to detect modification conflict during updates.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.